de.vc.jfo.importer

## Class ImporterFactory

- java.lang.Object
- - de.vc.jfo.importer.ImporterFactory

-     public class ImporterFactory
      extends java.lang.Object

  This factory creates specific importers.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Importer` | `createFor(java.lang.String type)` Creates an importer for a specific file type.
    `java.lang.String[]` | `getFileSuffixes(java.lang.String type)` Gets a list of possible file-suffixes for a specific file type.
    `java.lang.String[]` | `getSupportedTypes()` Gets a list of supported types this factory can create an importer for.
    `java.lang.String` | `getType(java.lang.String filename)` Tries to determinate the type of a file by analysing the file-suffix.
    `static ImporterFactory` | `instance()` Instance of this factory (singleton).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### instance

          public static final ImporterFactory instance()

      Instance of this factory (singleton).
      Returns:
        Instance.

    - #### getSupportedTypes

          public java.lang.String[] getSupportedTypes()

      Gets a list of supported types this factory can create an importer for.
      Returns:
        List of types.

    - #### createFor

          public Importer createFor(java.lang.String type)

      Creates an importer for a specific file type.
      Parameters:
        `type` - Type.
      Returns:
        Importer.

    - #### getFileSuffixes

          public java.lang.String[] getFileSuffixes(java.lang.String type)

      Gets a list of possible file-suffixes for a specific file type.
      Parameters:
        `type` - File type.
      Returns:
        List of file-suffixes.

    - #### getType

          public java.lang.String getType(java.lang.String filename)

      Tries to determinate the type of a file by analysing the file-suffix.
      Parameters:
        `filename` - Filename
      Returns:
        Type of file or NULL if unsure or not known.

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.